﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using Telerik.Charting.Styles;
using System.Data;

public partial class Examples7_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, System.EventArgs e)
	{
		dynamic data = GetData();

		//Series settings
		RadChart1.Series.Add(new ChartSeries("Series1", ChartSeriesType.Gantt));
		RadChart1.Series[0].DataXColumn = "xLabels";
		RadChart1.Series[0].DataYColumn = "startDate1";
		RadChart1.Series[0].DataYColumn2 = "endDate1";

		RadChart1.Series.Add(new ChartSeries("Series2", ChartSeriesType.Gantt));
		RadChart1.Series[1].DataYColumn = "startDate2";
		RadChart1.Series[1].DataYColumn2 = "endDate2";
		RadChart1.Series[1].YAxisType = ChartYAxisType.Secondary;

		RadChart1.Series[0].DefaultLabelValue = "";

		//Configure Primary Axis settings:
		RadChart1.PlotArea.YAxis.IsZeroBased = false;
		RadChart1.PlotArea.YAxis.Appearance.ValueFormat = ChartValueFormat.ShortDate;
		RadChart1.PlotArea.YAxis.Appearance.CustomFormat = "yyyy--MM";
		RadChart1.PlotArea.YAxis.Appearance.LabelAppearance.RotationAngle = 45;

		//Configure Secondary Axis settings:
		RadChart1.PlotArea.YAxis2.IsZeroBased = false;
		RadChart1.PlotArea.YAxis2.Appearance.ValueFormat = ChartValueFormat.ShortDate;
		RadChart1.PlotArea.YAxis2.Appearance.CustomFormat = "MM--dd";
		RadChart1.PlotArea.YAxis2.Appearance.LabelAppearance.RotationAngle = 45;
	
		RadChart1.DataSource = data;
		RadChart1.DataBind();
	}

	private DataTable GetData()
	{
		dynamic result = new DataTable();

		result.Columns.Add("xLabels", typeof(double));
		result.Columns.Add("startDate1", typeof(double));
		result.Columns.Add("endDate1", typeof(double));
		result.Columns.Add("startDate2", typeof(double));
		result.Columns.Add("endDate2", typeof(double));

		DateTime startDate = new DateTime(2013, 1, 1);

		for (int i = 0; i <= 5; i++)
		{
			result.Rows.Add(i, startDate.AddDays(i).ToOADate(), startDate.AddDays(i + 1).ToOADate(), startDate.AddDays(i + 2).ToOADate(), startDate.AddDays(i + 3).ToOADate());
		}

		return result;
	}

}
